Subject: Re: [Tools-discuss] Test server for RFC 6359 (Datatracker Extensions to Include IANA and RFC Editor Processing Information)

From: Ole Laursen <[email-masked]>
Date: Wed, 3 Oct 2012 11:55:44 +0200

Hi again!

No feedback so far, so just to clarify what this means:

- If you manage an IETF or IRTF draft, you must fill in whether it's a
consensus draft or not through a new page (this is to help the RFC
Editor); drafts with unfilled fields say "Consensus: Unknown"

- If you manage a draft in the IRTF, IAB or ISE stream and need to
send it to the RFC Editor for publication, there's a new page for
doing that (including a new page for setting the intended RFC status
which is a prerequisite). If you read this and think you will use this
feature in the future, please find yourself a draft at the test server

http://statesync.ietf.beta.iola.dk/

and try that now (click the "Request publication" link), and tell me
if the interface makes sense.

Ole

2012/9/24 Ole Laursen <[email-masked]>:
> Hi people!
>
> I have put up a test server for the Datatracker extensions for IANA
> and RFC Editor information as described in RFC 6359 here:
>
> http://statesync.ietf.beta.iola.dk/
>
>
> The notable changes are:
>
> - IANA states show up
>
> - RFC Editor state changes will show up in the history
>
> - In the near future, faster updates from IANA and RFC Editor
>
> - Consensus yes/no indication on IETF/IRTF drafts to be filled in
>
> - Consensus, Last Call expiration, IANA Review problems and stream
> show up in IESG agenda
>
> - Alternate streams:
>
> * Can request publication at RFC Editor
>
> * Can change intended RFC status of their drafts
>
> * Get notifications on new draft submissions
>
> - Dump of draft attributes at /doc/draft-XXXX/doc.json
>
> - Discrepancies report for seeing discrepancies between the states at
> the Datatracker, IANA and RFC Editor
>
> I am happy to answer any questions or comments, especially regarding
> the publication requests which I'm not sure I got entirely right.
> Barring any comments, this will likely go live soon.
>
>
> NOTE
>
> The testserver operates on a local database dump from today, so you
> can change things as you like. You can login with your usual account
> and blank password. Emails are suppressed, unless you go to
>
> http://statesync.ietf.beta.iola.dk/accounts/testemail/
>
> and fill in your information - then you'll get emails you produce forwarded.
>
> Also note that some information outside the database dump may be
> missing from the test server so some links may be dead.
>
>
> Ole